Gecode::FlatZinc::MeritMaxActionSize Class Reference

Select by maximal Action over size. More...

`#include <branch.hh>`

## Public Member Functions

| MeritMaxActionSize (Space &home, const IntBoolVarBranch &ibvb)
| Constructor for initialization.
| MeritMaxActionSize (Space &home, MeritMaxActionSize &m)
| Constructor for cloning.
double | operator() (Int::IntView x, int i) const
| Return merit.
double | operator() (Int::BoolView x, int i) const
| Return merit.
void | dispose (void)
| Dispose.

## Protected Attributes

IntAction | iaction
| Integer Action information.
BoolAction | baction
| Boolean Action information.

## Detailed Description

Select by maximal Action over size.

Definition at line 186 of file branch.hh.

## Constructor & Destructor Documentation

## MeritMaxActionSize() [1/2]

Gecode::FlatZinc::MeritMaxActionSize::MeritMaxActionSize | ( | Space & | home,
|  | const IntBoolVarBranch & | ibvb )

inline

Constructor for initialization.

Definition at line 228 of file branch.hpp.

## MeritMaxActionSize() [2/2]

Gecode::FlatZinc::MeritMaxActionSize::MeritMaxActionSize | ( | Space & | home,
|  | MeritMaxActionSize & | m )

inline

Constructor for cloning.

Definition at line 231 of file branch.hpp.

## Member Function Documentation

## operator()() [1/2]

double Gecode::FlatZinc::MeritMaxActionSize::operator() | ( | Int::IntView | x,
|  | int | i ) const

inline

Return merit.

Definition at line 234 of file branch.hpp.

## operator()() [2/2]

double Gecode::FlatZinc::MeritMaxActionSize::operator() | ( | Int::BoolView | x,
|  | int | i ) const

inline

Return merit.

Definition at line 238 of file branch.hpp.

## dispose()

void Gecode::FlatZinc::MeritMaxActionSize::dispose | ( | void |  | ) |

inline

Dispose.

Definition at line 242 of file branch.hpp.

## Member Data Documentation

## iaction

IntAction Gecode::FlatZinc::MeritMaxActionSize::iaction

protected

Integer Action information.

Definition at line 189 of file branch.hh.

## baction

BoolAction Gecode::FlatZinc::MeritMaxActionSize::baction

protected

Boolean Action information.

Definition at line 191 of file branch.hh.

The documentation for this class was generated from the following files:

- gecode/flatzinc/branch.hh
- gecode/flatzinc/branch.hpp